Skip to main content
GET
/
api
/
environments
/
v1
/
environments
/
{environmentId}
Get an environment
curl --request GET \
  --url https://api.example.com/api/environments/v1/environments/{environmentId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "environment": {
    "archived": false,
    "id": "623132867a0af0281c01a69c",
    "name": "MyOrg",
    "supportedClusters": [],
    "activeRevisionTags": [
      "<string>"
    ],
    "internalTags": [
      "<string>"
    ],
    "isCurated": true,
    "latestRevision": {
      "availableTools": [
        {
          "name": "Jupyter",
          "startScripts": [
            "echo hello"
          ],
          "title": "Jupyter",
          "iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
          "proxyConfig": {
            "internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
            "port": 8888,
            "requireSubdomain": false,
            "rewrite": false
          },
          "supportedFileExtensions": [
            ".ipynb"
          ]
        }
      ],
      "id": "62313cfd7a0af0281c01a6a6",
      "number": 4
    },
    "owner": {
      "id": "6231327c7a0af0281c01a69b",
      "username": "OrgOwner"
    },
    "restrictedRevision": {
      "availableTools": [
        {
          "name": "Jupyter",
          "startScripts": [
            "echo hello"
          ],
          "title": "Jupyter",
          "iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
          "proxyConfig": {
            "internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
            "port": 8888,
            "requireSubdomain": false,
            "rewrite": false
          },
          "supportedFileExtensions": [
            ".ipynb"
          ]
        }
      ],
      "id": "62313cfd7a0af0281c01a6a6",
      "number": 4
    },
    "selectedRevision": {
      "availableTools": [
        {
          "name": "Jupyter",
          "startScripts": [
            "echo hello"
          ],
          "title": "Jupyter",
          "iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
          "proxyConfig": {
            "internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
            "port": 8888,
            "requireSubdomain": false,
            "rewrite": false
          },
          "supportedFileExtensions": [
            ".ipynb"
          ]
        }
      ],
      "id": "62313cfd7a0af0281c01a6a6",
      "number": 4
    }
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

environmentId
string
required

Id of environment to retrieve

Response

Success

environment
object
required
metadata
object
required